Commit 2b20001e authored by Vangelis Koukis's avatar Vangelis Koukis
Browse files

Report failure to find snf-manage in test runner

parent 81df9113
......@@ -2,15 +2,18 @@
set -e
export SYNNEFO_SETTINGS_DIR='/tmp/snf-test-settings'
export SYNNEFO_SETTINGS_DIR=/tmp/snf-test-settings
SNF_MANAGE=$(which snf-manage) ||
echo "Cannot find snf-manage in $PATH" 1>&2 && exit 1
APPS="api db logic plankton quotas vmapi im quotaholder_app helpdesk"
TEST="$(which snf-manage) test $APPS --traceback --settings=synnefo.settings.test"
TEST="$SNF_MANAGE test $APPS --traceback --settings=synnefo.settings.test"
if coverage >/dev/null 2>&1; then
coverage run $TEST
coverage report --include=snf-*
else
echo "coverage not installed"
echo "WARNING: Cannot find coverage in path, skipping coverage tests" 1>&2
$TEST
fi
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment